Name:     libplist
Version:  2.2.0
Release:  3
Summary:  A library to handle Apple Property List format in binary or XML
License:  LGPLv2+
URL:      http://www.libimobiledevice.org/
Source0:  https://github.com/libimobiledevice/libplist/releases/download/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  automake autoconf libtool chrpath gcc gcc-c++ python3-devel python3-Cython python3-setuptools

%description
A small portable C library to handle Apple Property List files in binary or XML.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release} pkgconf

%description    devel
The libplist-devel package contains the header files and documentation
needed for development using libplist.

%package -n python3-libplist
%{?python_provide:%python_provide python3-libplist}
Summary:        python 3 bindings for %{name}
Requires:       %{name} = %{version}-%{release} python3
Provides:       %{name}-python = %{version}-%{release}
Provides:       python2-%{name} = %{version}-%{release}

%description -n python3-libplist
python3-libplist contains the python3 bindings for %{name}

%prep
%autosetup -n %{name}-%{version} -p1
ACLOCAL="aclocal -I m4"
autoreconf -f -i

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure   --disable-static PYTHON='python3' 
%make_build

%install
%make_install
%delete_la

%check
make check 

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS README.md COPYING.LESSER
%{_bindir}/plistutil
%{_libdir}/libplist*.so.3*
%{_libdir}/libplist++*.so.3*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%{_libdir}/libplist*.so
%{_libdir}/libplist++*.so
%{_libdir}/pkgconfig/*
%{_includedir}/plist

%files -n python3-libplist
%defattr(-,root,root)
%{_libdir}/python3*/site-packages/*

%changelog
* Wed Apr 13 2022 liyanan <liyanan32@h-partners.com> - 2.2.0-3
- Remove self-dependency

* Tue Sep 8 2020 wangchen <wangchen137@huawei.com> - 2.2.0-2
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:Modify the URL of Source0

* Thu Jul 23 2020 wangchen <wangchen137@huawei.com> - 2.2.0-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:Updated to 2.2.0

* Wed Jun 24 2020 chenditang <chenditang1@huawei.com> - 2.0.0-14
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:Updated ac_python_devel.m4 to newer ax_python_devel.m4

* Thu Sep 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.0.0-13
- Fix bad requires

* Tue Sep 03 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.0.0-12
- Package init
